Bug 1467594 - [abrt] inkscape: Inkscape::ObjectSet::_clear(): inkscape killed by SIGSEGV
[abrt] inkscape: Inkscape::ObjectSet::_clear(): inkscape killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:29eb866ab1cd5c1ae7963d9e5ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 06:05 EDT by mick
Modified: 2017-12-12 05:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:26:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.98 KB, text/plain)
2017-07-04 06:05 EDT, mick
no flags Details
File: cgroup (242 bytes, text/plain)
2017-07-04 06:05 EDT, mick
no flags Details
File: core_backtrace (8.44 KB, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: dso_list (13.25 KB, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: environ (2.62 KB, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: maps (66.27 KB, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: mountinfo (3.11 KB, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: open_fds (857 bytes, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details
File: var_log_messages (305 bytes, text/plain)
2017-07-04 06:06 EDT, mick
no flags Details

  None (edit)
Description mick 2017-07-04 06:05:48 EDT
Description of problem:
0. I am running fedora with xfce , and using workspace switcher with 24 workspaces.
    I have been using this arrangement for a year or so to generate very large & complex inkscape documents.
    recently upgraded to F25, but crashes did NOT begin immediately after upgrade.
    Once the crashes began, with no obvious trigger, I dnf updated everything -- but crashes continued.

1. bring up inkscape by clicking on launcher.  so it is editing a blank document.

2. select text tool and type "Hello, World!"

3. click on background to deselect text.

4. BOOM -- crash happens, and close button appears.

5. I can't click on close button because window manager is locked up, but I can switch to a different 
    workspace with ctrl-F6, and then get back to this workspace, and then click close.

6. Gaze at screen with sorrow, because my friend Inkscape has died.


Version-Release number of selected component:
inkscape-0.92.1-4.20170510bzr15686.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        inkscape
crash_function: Inkscape::ObjectSet::_clear
executable:     /usr/bin/inkscape
global_pid:     31565
kernel:         4.11.7-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Inkscape::ObjectSet::_clear at /usr/src/debug/inkscape-r15686/src/object-set.cpp:124
 #1 Inkscape::ObjectSet::clear at /usr/src/debug/inkscape-r15686/src/object-set.cpp:75
 #2 Inkscape::UI::Tools::SelectTool::root_handler at /usr/src/debug/inkscape-r15686/src/ui/tools/select-tool.cpp:767
 #3 Inkscape::UI::Tools::sp_event_context_virtual_root_handler at /usr/src/debug/inkscape-r15686/src/ui/tools/tool-base.cpp:1020
 #4 Inkscape::UI::Tools::sp_event_context_root_handler at /usr/src/debug/inkscape-r15686/src/ui/tools/tool-base.cpp:1008
 #5 sp_desktop_root_handler at /usr/src/debug/inkscape-r15686/src/desktop-events.cpp:86
 #6 sp_marshal_BOOLEAN__POINTER at /usr/src/debug/inkscape-r15686/src/helper/sp-marshal.cpp:124
 #11 SPCanvas::emitEvent at /usr/src/debug/inkscape-r15686/src/display/sp-canvas.cpp:1258
 #12 SPCanvas::handle_button at /usr/src/debug/inkscape-r15686/src/display/sp-canvas.cpp:1453
 #13 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:143
Comment 1 mick 2017-07-04 06:05:57 EDT
Created attachment 1294137 [details]
File: backtrace
Comment 2 mick 2017-07-04 06:05:59 EDT
Created attachment 1294138 [details]
File: cgroup
Comment 3 mick 2017-07-04 06:06:01 EDT
Created attachment 1294139 [details]
File: core_backtrace
Comment 4 mick 2017-07-04 06:06:03 EDT
Created attachment 1294140 [details]
File: dso_list
Comment 5 mick 2017-07-04 06:06:04 EDT
Created attachment 1294141 [details]
File: environ
Comment 6 mick 2017-07-04 06:06:05 EDT
Created attachment 1294142 [details]
File: exploitable
Comment 7 mick 2017-07-04 06:06:07 EDT
Created attachment 1294143 [details]
File: limits
Comment 8 mick 2017-07-04 06:06:09 EDT
Created attachment 1294144 [details]
File: maps
Comment 9 mick 2017-07-04 06:06:11 EDT
Created attachment 1294145 [details]
File: mountinfo
Comment 10 mick 2017-07-04 06:06:12 EDT
Created attachment 1294146 [details]
File: namespaces
Comment 11 mick 2017-07-04 06:06:14 EDT
Created attachment 1294148 [details]
File: open_fds
Comment 12 mick 2017-07-04 06:06:15 EDT
Created attachment 1294149 [details]
File: proc_pid_status
Comment 13 mick 2017-07-04 06:06:17 EDT
Created attachment 1294150 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2017-11-16 09:46:38 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-12-12 05:26:51 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.